complexType "FloatingAmountEvents"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 6 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | failureToPayPrincipal?, interestShortfall?, writedown?, impliedWritedown?, floatingAmountProvisions?, additionalFixedPayments?
</...>

Content Model Elements (6):

  additionalFixedPayments, failureToPayPrincipal (in floatingAmountEvents), floatingAmountProvisions, | impliedWritedown (in floatingAmountEvents), interestShortfall, writedown (in floatingAmountEvents)

All Direct / Indirect Based Elements (1):

  floatingAmountEvents

Known Usage Locations

- As direct type of elements (1):
  floatingAmountEvents

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="FloatingAmountEvents"> <xsd:sequence> <xsd:element minOccurs="0" name="failureToPayPrincipal" type="xsd:boolean"/> <xsd:element minOccurs="0" name="interestShortfall" type="InterestShortFall"/> <xsd:element minOccurs="0" name="writedown" type="xsd:boolean"/> <xsd:element minOccurs="0" name="impliedWritedown" type="xsd:boolean"/> <xsd:element minOccurs="0" name="floatingAmountProvisions" type="FloatingAmountProvisions"/> <xsd:element minOccurs="0" name="additionalFixedPayments" type="AdditionalFixedPayments"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
additionalFixedPayments

  Type: | AdditionalFixedPayments, complex content

  Specifies the events that will give rise to the payment a additional fixed payments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="additionalFixedPayments" type="AdditionalFixedPayments"/>

failureToPayPrincipal

  Type: | xsd:boolean, predefined, simple content

  A floating rate payment event. Corresponds to the failure by the Reference Entity to pay an expected principal amount or the payment of an actual principal amount that is less than the expected principal amount. ISDA 2003 Term: Failure to Pay Principal.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="failureToPayPrincipal" type="xsd:boolean"/>

floatingAmountProvisions

  Type: | FloatingAmountProvisions, complex content

  Specifies the floating amount provisions associated with the floatingAmountEvents.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="floatingAmountProvisions" type="FloatingAmountProvisions"/>

impliedWritedown

  Type: | xsd:boolean, predefined, simple content

  A floating rate payment event. Results from the fact that losses occur to the underlying instruments that do not result in reductions of the outstanding principal of the reference obligation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="impliedWritedown" type="xsd:boolean"/>

interestShortfall

  Type: | InterestShortFall, complex content

  A floating rate payment event. With respect to any Reference Obligation Payment Date, either (a) the non-payment of an Expected Interest Amount or (b) the payment of an Actual Interest Amount that is less than the Expected Interest Amount. ISDA 2003 Term: Interest Shortfall.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interestShortfall" type="InterestShortFall"/>

writedown

  Type: | xsd:boolean, predefined, simple content

  A floating rate payment event. Results from the fact that the underlyer writes down its outstanding principal amount. ISDA 2003 Term: Writedown.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="writedown" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.